Active Steward API 1.1¶
1.1: a composition item's type is an open code string (was a fixed enum); the codes valid on this instance come from GET /api/constituent-types.
Servers¶
| Description | URL |
|---|---|
| Your Company's Active Steward Instance | /ActiveSteward |
Submissions¶
GET /api/submissions/{id}¶
Get a Submission
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Response 200 OK
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"registration": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"constituent": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Benzene",
"type": "SUBSTANCE",
"casNumber": "100-00-5",
"ecName": "1-chloro-4-nitrobenzene",
"ecNumber": "202-809-6",
"ecDescription": "string",
"iupac": "benzene",
"iuclidUuid": "string",
"tsca": "Benzene, 1-chloro-4-nitro-",
"molecularFormula": "C6H6",
"smiles": "C1=CC=CC=C1",
"inChl": "InChI=1S/C6H6/c1-2-4-6-5-3-1/h1-6H",
"archived": false
},
"reachLegislation": "EU_REACH",
"type": "INTERNAL",
"submittingLegalEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
},
"forLegalEntity": null,
"forLegalEntityUuid": "37b58a8c-fae4-485f-bb99-1cf879d34678",
"status": "ACTIVE",
"registrationName": "Calcium dihydroxide",
"registrationNumber": "01-2119475151-45-1000",
"registrationDate": "2022-04-13",
"registrationRole": "MEMBER",
"annex": "VIII",
"publicName": "Calcium dihydroxide",
"reachRole": "MANUFACTURER",
"enquiryNumber": "06-1111111111-11-1111",
"ppordNumber": "04-1111111111-11-1111",
"iuclidUUID": "U37b58a8c-fae4-485f-bb99-1cf666d34678",
"registrationNotes": "Registration is complete.",
"reachDossierType": "A",
"preregistered": true,
"preregistrationName": "Calcium dihydroxide",
"preregistrationNumber": "05-1122334455-66-0001",
"preregistrationDate": "2022-04-13",
"preregistrationNote": "Preregistration complete.",
"exempt": true,
"exemptionType": "ANNEXIV",
"exemption": "dangerous",
"exemptionComment": "Marked as Exempt.",
"effectiveAnnex": "VIII"
},
"dateSubmitted": "2022-04-13",
"dateIssued": "2022-04-13",
"dateAccepted": "2022-04-13",
"reachDossierType": "AU_IND_CHEM_ASSESS",
"tonnageBand": "BAND3",
"registeredTonnageBand": "BAND_2",
"reason": "INITIAL",
"notes": "string",
"iuclidDossierReference": "string",
"communicationReference": "string",
"submissionNumber": "string",
"status": "SUBMITTED"
}
Schema of the response body
{
"required": [
"registration"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"created": {
"type": "string",
"format": "date-time"
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"registration": {
"$ref": "#/components/schemas/RegistrationData"
},
"dateSubmitted": {
"type": "string",
"format": "date"
},
"dateIssued": {
"type": "string",
"format": "date"
},
"dateAccepted": {
"type": "string",
"format": "date"
},
"reachDossierType": {
"type": "string",
"enum": [
"AU_IND_CHEM_ASSESS",
"AU_IND_CHEM_CERT_APPL_T1",
"AU_IND_CHEM_CERT_APPL_T2",
"AU_IND_CHEM_CERT_APPL_T3",
"AU_IND_CHEM_CERT_APPL_T4",
"AU_IND_CHEM_CERT_APPL_T5",
"AU_IND_CHEM_CEA",
"AU_IND_CHEM_PIR",
"BIOC_ACTIVE_SUBSTANCE_FOR_SUBSTANCES",
"BIOC_BASIC_INFORMATION",
"BIOC_BIOCIDAL_PRODUCT",
"BIOC_MICRO",
"BIOC_SUBSTANCE_OF_CONCERN",
"BIOC_SPC",
"BIOC_TECHNICAL_EQUIVALENCE",
"CLP_ALTERNATIVE_NAME",
"CLP_NOTIF",
"CLP_CLH",
"CLP_PCN_ICG",
"CLP_PCN_SFC",
"CLP_PCN",
"R_A15_SVHC",
"R_A15_REST",
"R_AUTH_APPL",
"R_DU_REPORT",
"R_SIA_NOTIF",
"R_1_10_PC",
"R_1_10_STD",
"R_10_100",
"R_100_1000",
"R_ABOVE_1000",
"R_JS_MBER",
"R_INT_JS_MBER",
"R_INT_ONSITE",
"R_INT_ONSITE_1_1000",
"R_INT_ONSITE_ABOVE_1000",
"R_SUB_EVAL",
"R_PPORD",
"R_INQUIRY",
"BIOC_ACTIVE_SUBSTANCE_FOR_MIXTURES",
"R_INT_TR_1_1000",
"R_INT_TR_ABOVE_1000",
"R_DU_NOTIF",
"R_MICROPLASTICS",
"DWD_ARTICLE_11_APPL",
"DWD_NIAS_OR_OTHER_SUBSTANCE",
"DWD_NOTIF",
"FCM_APPL",
"FCM_NIAS",
"EU_PPP_ACTIVE_SUBSTANCE_APP",
"EU_PPP_CA_ACTIVE_SUBSTANCE",
"EU_PPP_BASIC_SUBSTANCE",
"EU_PPP_MAXIMUM_RESIDUE_LEVELS",
"EU_PPP_MICRO",
"EU_PPP_MAXIMUM_RESIDUE_LEVELS_ACTIVE",
"EU_PPP_OTHER_MIXTURE",
"EU_PPP_OTHER_SUBSTANCE_ASSESSED",
"EU_PPP_PESTICIDE_PRODUCT",
"EU_PPP_SAFENERS_SYN_APP",
"EU_TSR_DEROGATION",
"K_REACH_INQUIRY",
"K_REACH_POLYMER_EXEMPTION",
"K_REACH_REAGENT_EXEMPTION",
"K_REACH_RD_EXEMPTION",
"K_REACH_EXPORT_EXEMPTION",
"K_REACH_SURFACE_TREATED_EXEMPTION",
"K_REACH_NON_ISOLATED_INT_EXEMPTION",
"K_REACH_ONSITE_INT_EXEMPTION",
"K_REACH_01_1",
"K_REACH_1_10",
"K_REACH_10_100",
"K_REACH_100_1000",
"K_REACH_ABOVE_1000",
"K_REACH_POLYMER_01_1",
"K_REACH_POLYMER_1_10",
"K_REACH_POLYMER_10_100",
"K_REACH_POLYMER_100_1000",
"K_REACH_POLYMER_ABOVE_1000",
"K_REACH_INT_ONSITE_01_1",
"K_REACH_INT_ONSITE_1_10",
"K_REACH_INT_ONSITE_10_100",
"K_REACH_INT_ONSITE_100_1000",
"K_REACH_INT_ONSITE_ABOVE_1000",
"K_REACH_INT_TR_01_1",
"K_REACH_INT_TR_1_10",
"K_REACH_INT_TR_10_100",
"K_REACH_INT_TR_100_1000",
"K_REACH_INT_TR_ABOVE_1000",
"K_REACH_EXEMPTION_CERT",
"K_REACH_REGISTRATION_CERT",
"K_REACH_HAZARD_EVAL",
"K_REACH_DU_REPORT",
"NZ_HSNO_APPL_FULL_ASSESS_CAT",
"NZ_HSNO_FULL_ASSESS_CAT",
"NZ_HSNO_LMTD_ASSESS_CAT",
"OECD_SIDS",
"OECD_HT_CAT"
]
},
"tonnageBand": {
"type": "string",
"description": "The size of the submitted tonnage band. On input it is ignored when registeredTonnageBand is given (and must then be its size); otherwise it is stored as the registration's current band of that size, or else the legislation's standard band of that size",
"example": "BAND3",
"enum": [
"BAND1",
"BAND2",
"BAND3",
"BAND4",
"BAND5"
]
},
"registeredTonnageBand": {
"type": "string",
"description": "The submitted tonnage band, which must be one of the registration's legislation. Takes precedence over tonnageBand",
"example": "BAND_2",
"enum": [
"BAND_1",
"BAND_2",
"BAND_3",
"BAND_4",
"BAND_5",
"BAND_6",
"BAND_7",
"BAND_8",
"BAND_9",
"BAND_K_1",
"BAND_K_2",
"BAND_K_3",
"BAND_K_4",
"BAND_K_5",
"BAND_K_6",
"BAND_K_7",
"BAND_K_8",
"BAND_K_9",
"BAND_K_10",
"BAND_K_11",
"BAND_K_12",
"BAND_K_13",
"BAND_K_14",
"BAND_K_15",
"BAND_K_16",
"BAND_K_17",
"BAND_K_18",
"BAND_K_19",
"BAND_K_20",
"CEASE_OF_MANUFACTURE"
]
},
"reason": {
"type": "string",
"example": "INITIAL",
"enum": [
"CEASE_OF_MANUFACTURE",
"GRANDFATHERING",
"INITIAL",
"INQUIRY",
"REQUESTED",
"UPDATE_SPONTANEOUS"
]
},
"notes": {
"type": "string"
},
"iuclidDossierReference": {
"type": "string"
},
"communicationReference": {
"type": "string"
},
"submissionNumber": {
"type": "string"
},
"status": {
"type": "string",
"description": "Required, except for a CEASE_OF_MANUFACTURE reason, which never has a status",
"example": "SUBMITTED",
"enum": [
"DRAFT",
"SUBMITTED",
"ACCEPTED",
"REJECTED"
]
}
}
}
Response 403 Forbidden
Response 404 Not Found
Response 500 Internal Server Error
PUT /api/submissions/{id}¶
Update a Submission
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Request body
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"registration": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"constituent": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Benzene",
"type": "SUBSTANCE",
"casNumber": "100-00-5",
"ecName": "1-chloro-4-nitrobenzene",
"ecNumber": "202-809-6",
"ecDescription": "string",
"iupac": "benzene",
"iuclidUuid": "string",
"tsca": "Benzene, 1-chloro-4-nitro-",
"molecularFormula": "C6H6",
"smiles": "C1=CC=CC=C1",
"inChl": "InChI=1S/C6H6/c1-2-4-6-5-3-1/h1-6H",
"archived": false
},
"reachLegislation": "EU_REACH",
"type": "INTERNAL",
"submittingLegalEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
},
"forLegalEntity": null,
"forLegalEntityUuid": "37b58a8c-fae4-485f-bb99-1cf879d34678",
"status": "ACTIVE",
"registrationName": "Calcium dihydroxide",
"registrationNumber": "01-2119475151-45-1000",
"registrationDate": "2022-04-13",
"registrationRole": "MEMBER",
"annex": "VIII",
"publicName": "Calcium dihydroxide",
"reachRole": "MANUFACTURER",
"enquiryNumber": "06-1111111111-11-1111",
"ppordNumber": "04-1111111111-11-1111",
"iuclidUUID": "U37b58a8c-fae4-485f-bb99-1cf666d34678",
"registrationNotes": "Registration is complete.",
"reachDossierType": "A",
"preregistered": true,
"preregistrationName": "Calcium dihydroxide",
"preregistrationNumber": "05-1122334455-66-0001",
"preregistrationDate": "2022-04-13",
"preregistrationNote": "Preregistration complete.",
"exempt": true,
"exemptionType": "ANNEXIV",
"exemption": "dangerous",
"exemptionComment": "Marked as Exempt.",
"effectiveAnnex": "VIII"
},
"dateSubmitted": "2022-04-13",
"dateIssued": "2022-04-13",
"dateAccepted": "2022-04-13",
"reachDossierType": "AU_IND_CHEM_ASSESS",
"tonnageBand": "BAND3",
"registeredTonnageBand": "BAND_2",
"reason": "INITIAL",
"notes": "string",
"iuclidDossierReference": "string",
"communicationReference": "string",
"submissionNumber": "string",
"status": "SUBMITTED"
}
Schema of the request body
{
"required": [
"registration"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"created": {
"type": "string",
"format": "date-time"
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"registration": {
"$ref": "#/components/schemas/RegistrationData"
},
"dateSubmitted": {
"type": "string",
"format": "date"
},
"dateIssued": {
"type": "string",
"format": "date"
},
"dateAccepted": {
"type": "string",
"format": "date"
},
"reachDossierType": {
"type": "string",
"enum": [
"AU_IND_CHEM_ASSESS",
"AU_IND_CHEM_CERT_APPL_T1",
"AU_IND_CHEM_CERT_APPL_T2",
"AU_IND_CHEM_CERT_APPL_T3",
"AU_IND_CHEM_CERT_APPL_T4",
"AU_IND_CHEM_CERT_APPL_T5",
"AU_IND_CHEM_CEA",
"AU_IND_CHEM_PIR",
"BIOC_ACTIVE_SUBSTANCE_FOR_SUBSTANCES",
"BIOC_BASIC_INFORMATION",
"BIOC_BIOCIDAL_PRODUCT",
"BIOC_MICRO",
"BIOC_SUBSTANCE_OF_CONCERN",
"BIOC_SPC",
"BIOC_TECHNICAL_EQUIVALENCE",
"CLP_ALTERNATIVE_NAME",
"CLP_NOTIF",
"CLP_CLH",
"CLP_PCN_ICG",
"CLP_PCN_SFC",
"CLP_PCN",
"R_A15_SVHC",
"R_A15_REST",
"R_AUTH_APPL",
"R_DU_REPORT",
"R_SIA_NOTIF",
"R_1_10_PC",
"R_1_10_STD",
"R_10_100",
"R_100_1000",
"R_ABOVE_1000",
"R_JS_MBER",
"R_INT_JS_MBER",
"R_INT_ONSITE",
"R_INT_ONSITE_1_1000",
"R_INT_ONSITE_ABOVE_1000",
"R_SUB_EVAL",
"R_PPORD",
"R_INQUIRY",
"BIOC_ACTIVE_SUBSTANCE_FOR_MIXTURES",
"R_INT_TR_1_1000",
"R_INT_TR_ABOVE_1000",
"R_DU_NOTIF",
"R_MICROPLASTICS",
"DWD_ARTICLE_11_APPL",
"DWD_NIAS_OR_OTHER_SUBSTANCE",
"DWD_NOTIF",
"FCM_APPL",
"FCM_NIAS",
"EU_PPP_ACTIVE_SUBSTANCE_APP",
"EU_PPP_CA_ACTIVE_SUBSTANCE",
"EU_PPP_BASIC_SUBSTANCE",
"EU_PPP_MAXIMUM_RESIDUE_LEVELS",
"EU_PPP_MICRO",
"EU_PPP_MAXIMUM_RESIDUE_LEVELS_ACTIVE",
"EU_PPP_OTHER_MIXTURE",
"EU_PPP_OTHER_SUBSTANCE_ASSESSED",
"EU_PPP_PESTICIDE_PRODUCT",
"EU_PPP_SAFENERS_SYN_APP",
"EU_TSR_DEROGATION",
"K_REACH_INQUIRY",
"K_REACH_POLYMER_EXEMPTION",
"K_REACH_REAGENT_EXEMPTION",
"K_REACH_RD_EXEMPTION",
"K_REACH_EXPORT_EXEMPTION",
"K_REACH_SURFACE_TREATED_EXEMPTION",
"K_REACH_NON_ISOLATED_INT_EXEMPTION",
"K_REACH_ONSITE_INT_EXEMPTION",
"K_REACH_01_1",
"K_REACH_1_10",
"K_REACH_10_100",
"K_REACH_100_1000",
"K_REACH_ABOVE_1000",
"K_REACH_POLYMER_01_1",
"K_REACH_POLYMER_1_10",
"K_REACH_POLYMER_10_100",
"K_REACH_POLYMER_100_1000",
"K_REACH_POLYMER_ABOVE_1000",
"K_REACH_INT_ONSITE_01_1",
"K_REACH_INT_ONSITE_1_10",
"K_REACH_INT_ONSITE_10_100",
"K_REACH_INT_ONSITE_100_1000",
"K_REACH_INT_ONSITE_ABOVE_1000",
"K_REACH_INT_TR_01_1",
"K_REACH_INT_TR_1_10",
"K_REACH_INT_TR_10_100",
"K_REACH_INT_TR_100_1000",
"K_REACH_INT_TR_ABOVE_1000",
"K_REACH_EXEMPTION_CERT",
"K_REACH_REGISTRATION_CERT",
"K_REACH_HAZARD_EVAL",
"K_REACH_DU_REPORT",
"NZ_HSNO_APPL_FULL_ASSESS_CAT",
"NZ_HSNO_FULL_ASSESS_CAT",
"NZ_HSNO_LMTD_ASSESS_CAT",
"OECD_SIDS",
"OECD_HT_CAT"
]
},
"tonnageBand": {
"type": "string",
"description": "The size of the submitted tonnage band. On input it is ignored when registeredTonnageBand is given (and must then be its size); otherwise it is stored as the registration's current band of that size, or else the legislation's standard band of that size",
"example": "BAND3",
"enum": [
"BAND1",
"BAND2",
"BAND3",
"BAND4",
"BAND5"
]
},
"registeredTonnageBand": {
"type": "string",
"description": "The submitted tonnage band, which must be one of the registration's legislation. Takes precedence over tonnageBand",
"example": "BAND_2",
"enum": [
"BAND_1",
"BAND_2",
"BAND_3",
"BAND_4",
"BAND_5",
"BAND_6",
"BAND_7",
"BAND_8",
"BAND_9",
"BAND_K_1",
"BAND_K_2",
"BAND_K_3",
"BAND_K_4",
"BAND_K_5",
"BAND_K_6",
"BAND_K_7",
"BAND_K_8",
"BAND_K_9",
"BAND_K_10",
"BAND_K_11",
"BAND_K_12",
"BAND_K_13",
"BAND_K_14",
"BAND_K_15",
"BAND_K_16",
"BAND_K_17",
"BAND_K_18",
"BAND_K_19",
"BAND_K_20",
"CEASE_OF_MANUFACTURE"
]
},
"reason": {
"type": "string",
"example": "INITIAL",
"enum": [
"CEASE_OF_MANUFACTURE",
"GRANDFATHERING",
"INITIAL",
"INQUIRY",
"REQUESTED",
"UPDATE_SPONTANEOUS"
]
},
"notes": {
"type": "string"
},
"iuclidDossierReference": {
"type": "string"
},
"communicationReference": {
"type": "string"
},
"submissionNumber": {
"type": "string"
},
"status": {
"type": "string",
"description": "Required, except for a CEASE_OF_MANUFACTURE reason, which never has a status",
"example": "SUBMITTED",
"enum": [
"DRAFT",
"SUBMITTED",
"ACCEPTED",
"REJECTED"
]
}
}
}
Response 204 No Content
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"registration": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"constituent": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Benzene",
"type": "SUBSTANCE",
"casNumber": "100-00-5",
"ecName": "1-chloro-4-nitrobenzene",
"ecNumber": "202-809-6",
"ecDescription": "string",
"iupac": "benzene",
"iuclidUuid": "string",
"tsca": "Benzene, 1-chloro-4-nitro-",
"molecularFormula": "C6H6",
"smiles": "C1=CC=CC=C1",
"inChl": "InChI=1S/C6H6/c1-2-4-6-5-3-1/h1-6H",
"archived": false
},
"reachLegislation": "EU_REACH",
"type": "INTERNAL",
"submittingLegalEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
},
"forLegalEntity": null,
"forLegalEntityUuid": "37b58a8c-fae4-485f-bb99-1cf879d34678",
"status": "ACTIVE",
"registrationName": "Calcium dihydroxide",
"registrationNumber": "01-2119475151-45-1000",
"registrationDate": "2022-04-13",
"registrationRole": "MEMBER",
"annex": "VIII",
"publicName": "Calcium dihydroxide",
"reachRole": "MANUFACTURER",
"enquiryNumber": "06-1111111111-11-1111",
"ppordNumber": "04-1111111111-11-1111",
"iuclidUUID": "U37b58a8c-fae4-485f-bb99-1cf666d34678",
"registrationNotes": "Registration is complete.",
"reachDossierType": "A",
"preregistered": true,
"preregistrationName": "Calcium dihydroxide",
"preregistrationNumber": "05-1122334455-66-0001",
"preregistrationDate": "2022-04-13",
"preregistrationNote": "Preregistration complete.",
"exempt": true,
"exemptionType": "ANNEXIV",
"exemption": "dangerous",
"exemptionComment": "Marked as Exempt.",
"effectiveAnnex": "VIII"
},
"dateSubmitted": "2022-04-13",
"dateIssued": "2022-04-13",
"dateAccepted": "2022-04-13",
"reachDossierType": "AU_IND_CHEM_ASSESS",
"tonnageBand": "BAND3",
"registeredTonnageBand": "BAND_2",
"reason": "INITIAL",
"notes": "string",
"iuclidDossierReference": "string",
"communicationReference": "string",
"submissionNumber": "string",
"status": "SUBMITTED"
}
Schema of the response body
{
"required": [
"registration"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"created": {
"type": "string",
"format": "date-time"
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"registration": {
"$ref": "#/components/schemas/RegistrationData"
},
"dateSubmitted": {
"type": "string",
"format": "date"
},
"dateIssued": {
"type": "string",
"format": "date"
},
"dateAccepted": {
"type": "string",
"format": "date"
},
"reachDossierType": {
"type": "string",
"enum": [
"AU_IND_CHEM_ASSESS",
"AU_IND_CHEM_CERT_APPL_T1",
"AU_IND_CHEM_CERT_APPL_T2",
"AU_IND_CHEM_CERT_APPL_T3",
"AU_IND_CHEM_CERT_APPL_T4",
"AU_IND_CHEM_CERT_APPL_T5",
"AU_IND_CHEM_CEA",
"AU_IND_CHEM_PIR",
"BIOC_ACTIVE_SUBSTANCE_FOR_SUBSTANCES",
"BIOC_BASIC_INFORMATION",
"BIOC_BIOCIDAL_PRODUCT",
"BIOC_MICRO",
"BIOC_SUBSTANCE_OF_CONCERN",
"BIOC_SPC",
"BIOC_TECHNICAL_EQUIVALENCE",
"CLP_ALTERNATIVE_NAME",
"CLP_NOTIF",
"CLP_CLH",
"CLP_PCN_ICG",
"CLP_PCN_SFC",
"CLP_PCN",
"R_A15_SVHC",
"R_A15_REST",
"R_AUTH_APPL",
"R_DU_REPORT",
"R_SIA_NOTIF",
"R_1_10_PC",
"R_1_10_STD",
"R_10_100",
"R_100_1000",
"R_ABOVE_1000",
"R_JS_MBER",
"R_INT_JS_MBER",
"R_INT_ONSITE",
"R_INT_ONSITE_1_1000",
"R_INT_ONSITE_ABOVE_1000",
"R_SUB_EVAL",
"R_PPORD",
"R_INQUIRY",
"BIOC_ACTIVE_SUBSTANCE_FOR_MIXTURES",
"R_INT_TR_1_1000",
"R_INT_TR_ABOVE_1000",
"R_DU_NOTIF",
"R_MICROPLASTICS",
"DWD_ARTICLE_11_APPL",
"DWD_NIAS_OR_OTHER_SUBSTANCE",
"DWD_NOTIF",
"FCM_APPL",
"FCM_NIAS",
"EU_PPP_ACTIVE_SUBSTANCE_APP",
"EU_PPP_CA_ACTIVE_SUBSTANCE",
"EU_PPP_BASIC_SUBSTANCE",
"EU_PPP_MAXIMUM_RESIDUE_LEVELS",
"EU_PPP_MICRO",
"EU_PPP_MAXIMUM_RESIDUE_LEVELS_ACTIVE",
"EU_PPP_OTHER_MIXTURE",
"EU_PPP_OTHER_SUBSTANCE_ASSESSED",
"EU_PPP_PESTICIDE_PRODUCT",
"EU_PPP_SAFENERS_SYN_APP",
"EU_TSR_DEROGATION",
"K_REACH_INQUIRY",
"K_REACH_POLYMER_EXEMPTION",
"K_REACH_REAGENT_EXEMPTION",
"K_REACH_RD_EXEMPTION",
"K_REACH_EXPORT_EXEMPTION",
"K_REACH_SURFACE_TREATED_EXEMPTION",
"K_REACH_NON_ISOLATED_INT_EXEMPTION",
"K_REACH_ONSITE_INT_EXEMPTION",
"K_REACH_01_1",
"K_REACH_1_10",
"K_REACH_10_100",
"K_REACH_100_1000",
"K_REACH_ABOVE_1000",
"K_REACH_POLYMER_01_1",
"K_REACH_POLYMER_1_10",
"K_REACH_POLYMER_10_100",
"K_REACH_POLYMER_100_1000",
"K_REACH_POLYMER_ABOVE_1000",
"K_REACH_INT_ONSITE_01_1",
"K_REACH_INT_ONSITE_1_10",
"K_REACH_INT_ONSITE_10_100",
"K_REACH_INT_ONSITE_100_1000",
"K_REACH_INT_ONSITE_ABOVE_1000",
"K_REACH_INT_TR_01_1",
"K_REACH_INT_TR_1_10",
"K_REACH_INT_TR_10_100",
"K_REACH_INT_TR_100_1000",
"K_REACH_INT_TR_ABOVE_1000",
"K_REACH_EXEMPTION_CERT",
"K_REACH_REGISTRATION_CERT",
"K_REACH_HAZARD_EVAL",
"K_REACH_DU_REPORT",
"NZ_HSNO_APPL_FULL_ASSESS_CAT",
"NZ_HSNO_FULL_ASSESS_CAT",
"NZ_HSNO_LMTD_ASSESS_CAT",
"OECD_SIDS",
"OECD_HT_CAT"
]
},
"tonnageBand": {
"type": "string",
"description": "The size of the submitted tonnage band. On input it is ignored when registeredTonnageBand is given (and must then be its size); otherwise it is stored as the registration's current band of that size, or else the legislation's standard band of that size",
"example": "BAND3",
"enum": [
"BAND1",
"BAND2",
"BAND3",
"BAND4",
"BAND5"
]
},
"registeredTonnageBand": {
"type": "string",
"description": "The submitted tonnage band, which must be one of the registration's legislation. Takes precedence over tonnageBand",
"example": "BAND_2",
"enum": [
"BAND_1",
"BAND_2",
"BAND_3",
"BAND_4",
"BAND_5",
"BAND_6",
"BAND_7",
"BAND_8",
"BAND_9",
"BAND_K_1",
"BAND_K_2",
"BAND_K_3",
"BAND_K_4",
"BAND_K_5",
"BAND_K_6",
"BAND_K_7",
"BAND_K_8",
"BAND_K_9",
"BAND_K_10",
"BAND_K_11",
"BAND_K_12",
"BAND_K_13",
"BAND_K_14",
"BAND_K_15",
"BAND_K_16",
"BAND_K_17",
"BAND_K_18",
"BAND_K_19",
"BAND_K_20",
"CEASE_OF_MANUFACTURE"
]
},
"reason": {
"type": "string",
"example": "INITIAL",
"enum": [
"CEASE_OF_MANUFACTURE",
"GRANDFATHERING",
"INITIAL",
"INQUIRY",
"REQUESTED",
"UPDATE_SPONTANEOUS"
]
},
"notes": {
"type": "string"
},
"iuclidDossierReference": {
"type": "string"
},
"communicationReference": {
"type": "string"
},
"submissionNumber": {
"type": "string"
},
"status": {
"type": "string",
"description": "Required, except for a CEASE_OF_MANUFACTURE reason, which never has a status",
"example": "SUBMITTED",
"enum": [
"DRAFT",
"SUBMITTED",
"ACCEPTED",
"REJECTED"
]
}
}
}
Response 403 Forbidden
Response 500 Internal Server Error
DELETE /api/submissions/{id}¶
Delete a Submission
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Response 204 No Content
Response 403 Forbidden
Response 500 Internal Server Error
PATCH /api/submissions/{id}¶
Partially update a Submission
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Request body
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"registration": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"constituent": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Benzene",
"type": "SUBSTANCE",
"casNumber": "100-00-5",
"ecName": "1-chloro-4-nitrobenzene",
"ecNumber": "202-809-6",
"ecDescription": "string",
"iupac": "benzene",
"iuclidUuid": "string",
"tsca": "Benzene, 1-chloro-4-nitro-",
"molecularFormula": "C6H6",
"smiles": "C1=CC=CC=C1",
"inChl": "InChI=1S/C6H6/c1-2-4-6-5-3-1/h1-6H",
"archived": false
},
"reachLegislation": "EU_REACH",
"type": "INTERNAL",
"submittingLegalEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
},
"forLegalEntity": null,
"forLegalEntityUuid": "37b58a8c-fae4-485f-bb99-1cf879d34678",
"status": "ACTIVE",
"registrationName": "Calcium dihydroxide",
"registrationNumber": "01-2119475151-45-1000",
"registrationDate": "2022-04-13",
"registrationRole": "MEMBER",
"annex": "VIII",
"publicName": "Calcium dihydroxide",
"reachRole": "MANUFACTURER",
"enquiryNumber": "06-1111111111-11-1111",
"ppordNumber": "04-1111111111-11-1111",
"iuclidUUID": "U37b58a8c-fae4-485f-bb99-1cf666d34678",
"registrationNotes": "Registration is complete.",
"reachDossierType": "A",
"preregistered": true,
"preregistrationName": "Calcium dihydroxide",
"preregistrationNumber": "05-1122334455-66-0001",
"preregistrationDate": "2022-04-13",
"preregistrationNote": "Preregistration complete.",
"exempt": true,
"exemptionType": "ANNEXIV",
"exemption": "dangerous",
"exemptionComment": "Marked as Exempt.",
"effectiveAnnex": "VIII"
},
"dateSubmitted": "2022-04-13",
"dateIssued": "2022-04-13",
"dateAccepted": "2022-04-13",
"reachDossierType": "AU_IND_CHEM_ASSESS",
"tonnageBand": "BAND3",
"registeredTonnageBand": "BAND_2",
"reason": "INITIAL",
"notes": "string",
"iuclidDossierReference": "string",
"communicationReference": "string",
"submissionNumber": "string",
"status": "SUBMITTED"
}
Schema of the request body
{
"required": [
"registration"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"created": {
"type": "string",
"format": "date-time"
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"registration": {
"$ref": "#/components/schemas/RegistrationData"
},
"dateSubmitted": {
"type": "string",
"format": "date"
},
"dateIssued": {
"type": "string",
"format": "date"
},
"dateAccepted": {
"type": "string",
"format": "date"
},
"reachDossierType": {
"type": "string",
"enum": [
"AU_IND_CHEM_ASSESS",
"AU_IND_CHEM_CERT_APPL_T1",
"AU_IND_CHEM_CERT_APPL_T2",
"AU_IND_CHEM_CERT_APPL_T3",
"AU_IND_CHEM_CERT_APPL_T4",
"AU_IND_CHEM_CERT_APPL_T5",
"AU_IND_CHEM_CEA",
"AU_IND_CHEM_PIR",
"BIOC_ACTIVE_SUBSTANCE_FOR_SUBSTANCES",
"BIOC_BASIC_INFORMATION",
"BIOC_BIOCIDAL_PRODUCT",
"BIOC_MICRO",
"BIOC_SUBSTANCE_OF_CONCERN",
"BIOC_SPC",
"BIOC_TECHNICAL_EQUIVALENCE",
"CLP_ALTERNATIVE_NAME",
"CLP_NOTIF",
"CLP_CLH",
"CLP_PCN_ICG",
"CLP_PCN_SFC",
"CLP_PCN",
"R_A15_SVHC",
"R_A15_REST",
"R_AUTH_APPL",
"R_DU_REPORT",
"R_SIA_NOTIF",
"R_1_10_PC",
"R_1_10_STD",
"R_10_100",
"R_100_1000",
"R_ABOVE_1000",
"R_JS_MBER",
"R_INT_JS_MBER",
"R_INT_ONSITE",
"R_INT_ONSITE_1_1000",
"R_INT_ONSITE_ABOVE_1000",
"R_SUB_EVAL",
"R_PPORD",
"R_INQUIRY",
"BIOC_ACTIVE_SUBSTANCE_FOR_MIXTURES",
"R_INT_TR_1_1000",
"R_INT_TR_ABOVE_1000",
"R_DU_NOTIF",
"R_MICROPLASTICS",
"DWD_ARTICLE_11_APPL",
"DWD_NIAS_OR_OTHER_SUBSTANCE",
"DWD_NOTIF",
"FCM_APPL",
"FCM_NIAS",
"EU_PPP_ACTIVE_SUBSTANCE_APP",
"EU_PPP_CA_ACTIVE_SUBSTANCE",
"EU_PPP_BASIC_SUBSTANCE",
"EU_PPP_MAXIMUM_RESIDUE_LEVELS",
"EU_PPP_MICRO",
"EU_PPP_MAXIMUM_RESIDUE_LEVELS_ACTIVE",
"EU_PPP_OTHER_MIXTURE",
"EU_PPP_OTHER_SUBSTANCE_ASSESSED",
"EU_PPP_PESTICIDE_PRODUCT",
"EU_PPP_SAFENERS_SYN_APP",
"EU_TSR_DEROGATION",
"K_REACH_INQUIRY",
"K_REACH_POLYMER_EXEMPTION",
"K_REACH_REAGENT_EXEMPTION",
"K_REACH_RD_EXEMPTION",
"K_REACH_EXPORT_EXEMPTION",
"K_REACH_SURFACE_TREATED_EXEMPTION",
"K_REACH_NON_ISOLATED_INT_EXEMPTION",
"K_REACH_ONSITE_INT_EXEMPTION",
"K_REACH_01_1",
"K_REACH_1_10",
"K_REACH_10_100",
"K_REACH_100_1000",
"K_REACH_ABOVE_1000",
"K_REACH_POLYMER_01_1",
"K_REACH_POLYMER_1_10",
"K_REACH_POLYMER_10_100",
"K_REACH_POLYMER_100_1000",
"K_REACH_POLYMER_ABOVE_1000",
"K_REACH_INT_ONSITE_01_1",
"K_REACH_INT_ONSITE_1_10",
"K_REACH_INT_ONSITE_10_100",
"K_REACH_INT_ONSITE_100_1000",
"K_REACH_INT_ONSITE_ABOVE_1000",
"K_REACH_INT_TR_01_1",
"K_REACH_INT_TR_1_10",
"K_REACH_INT_TR_10_100",
"K_REACH_INT_TR_100_1000",
"K_REACH_INT_TR_ABOVE_1000",
"K_REACH_EXEMPTION_CERT",
"K_REACH_REGISTRATION_CERT",
"K_REACH_HAZARD_EVAL",
"K_REACH_DU_REPORT",
"NZ_HSNO_APPL_FULL_ASSESS_CAT",
"NZ_HSNO_FULL_ASSESS_CAT",
"NZ_HSNO_LMTD_ASSESS_CAT",
"OECD_SIDS",
"OECD_HT_CAT"
]
},
"tonnageBand": {
"type": "string",
"description": "The size of the submitted tonnage band. On input it is ignored when registeredTonnageBand is given (and must then be its size); otherwise it is stored as the registration's current band of that size, or else the legislation's standard band of that size",
"example": "BAND3",
"enum": [
"BAND1",
"BAND2",
"BAND3",
"BAND4",
"BAND5"
]
},
"registeredTonnageBand": {
"type": "string",
"description": "The submitted tonnage band, which must be one of the registration's legislation. Takes precedence over tonnageBand",
"example": "BAND_2",
"enum": [
"BAND_1",
"BAND_2",
"BAND_3",
"BAND_4",
"BAND_5",
"BAND_6",
"BAND_7",
"BAND_8",
"BAND_9",
"BAND_K_1",
"BAND_K_2",
"BAND_K_3",
"BAND_K_4",
"BAND_K_5",
"BAND_K_6",
"BAND_K_7",
"BAND_K_8",
"BAND_K_9",
"BAND_K_10",
"BAND_K_11",
"BAND_K_12",
"BAND_K_13",
"BAND_K_14",
"BAND_K_15",
"BAND_K_16",
"BAND_K_17",
"BAND_K_18",
"BAND_K_19",
"BAND_K_20",
"CEASE_OF_MANUFACTURE"
]
},
"reason": {
"type": "string",
"example": "INITIAL",
"enum": [
"CEASE_OF_MANUFACTURE",
"GRANDFATHERING",
"INITIAL",
"INQUIRY",
"REQUESTED",
"UPDATE_SPONTANEOUS"
]
},
"notes": {
"type": "string"
},
"iuclidDossierReference": {
"type": "string"
},
"communicationReference": {
"type": "string"
},
"submissionNumber": {
"type": "string"
},
"status": {
"type": "string",
"description": "Required, except for a CEASE_OF_MANUFACTURE reason, which never has a status",
"example": "SUBMITTED",
"enum": [
"DRAFT",
"SUBMITTED",
"ACCEPTED",
"REJECTED"
]
}
}
}
Response 204 No Content
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"registration": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"constituent": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Benzene",
"type": "SUBSTANCE",
"casNumber": "100-00-5",
"ecName": "1-chloro-4-nitrobenzene",
"ecNumber": "202-809-6",
"ecDescription": "string",
"iupac": "benzene",
"iuclidUuid": "string",
"tsca": "Benzene, 1-chloro-4-nitro-",
"molecularFormula": "C6H6",
"smiles": "C1=CC=CC=C1",
"inChl": "InChI=1S/C6H6/c1-2-4-6-5-3-1/h1-6H",
"archived": false
},
"reachLegislation": "EU_REACH",
"type": "INTERNAL",
"submittingLegalEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
},
"forLegalEntity": null,
"forLegalEntityUuid": "37b58a8c-fae4-485f-bb99-1cf879d34678",
"status": "ACTIVE",
"registrationName": "Calcium dihydroxide",
"registrationNumber": "01-2119475151-45-1000",
"registrationDate": "2022-04-13",
"registrationRole": "MEMBER",
"annex": "VIII",
"publicName": "Calcium dihydroxide",
"reachRole": "MANUFACTURER",
"enquiryNumber": "06-1111111111-11-1111",
"ppordNumber": "04-1111111111-11-1111",
"iuclidUUID": "U37b58a8c-fae4-485f-bb99-1cf666d34678",
"registrationNotes": "Registration is complete.",
"reachDossierType": "A",
"preregistered": true,
"preregistrationName": "Calcium dihydroxide",
"preregistrationNumber": "05-1122334455-66-0001",
"preregistrationDate": "2022-04-13",
"preregistrationNote": "Preregistration complete.",
"exempt": true,
"exemptionType": "ANNEXIV",
"exemption": "dangerous",
"exemptionComment": "Marked as Exempt.",
"effectiveAnnex": "VIII"
},
"dateSubmitted": "2022-04-13",
"dateIssued": "2022-04-13",
"dateAccepted": "2022-04-13",
"reachDossierType": "AU_IND_CHEM_ASSESS",
"tonnageBand": "BAND3",
"registeredTonnageBand": "BAND_2",
"reason": "INITIAL",
"notes": "string",
"iuclidDossierReference": "string",
"communicationReference": "string",
"submissionNumber": "string",
"status": "SUBMITTED"
}
Schema of the response body
{
"required": [
"registration"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"created": {
"type": "string",
"format": "date-time"
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"registration": {
"$ref": "#/components/schemas/RegistrationData"
},
"dateSubmitted": {
"type": "string",
"format": "date"
},
"dateIssued": {
"type": "string",
"format": "date"
},
"dateAccepted": {
"type": "string",
"format": "date"
},
"reachDossierType": {
"type": "string",
"enum": [
"AU_IND_CHEM_ASSESS",
"AU_IND_CHEM_CERT_APPL_T1",
"AU_IND_CHEM_CERT_APPL_T2",
"AU_IND_CHEM_CERT_APPL_T3",
"AU_IND_CHEM_CERT_APPL_T4",
"AU_IND_CHEM_CERT_APPL_T5",
"AU_IND_CHEM_CEA",
"AU_IND_CHEM_PIR",
"BIOC_ACTIVE_SUBSTANCE_FOR_SUBSTANCES",
"BIOC_BASIC_INFORMATION",
"BIOC_BIOCIDAL_PRODUCT",
"BIOC_MICRO",
"BIOC_SUBSTANCE_OF_CONCERN",
"BIOC_SPC",
"BIOC_TECHNICAL_EQUIVALENCE",
"CLP_ALTERNATIVE_NAME",
"CLP_NOTIF",
"CLP_CLH",
"CLP_PCN_ICG",
"CLP_PCN_SFC",
"CLP_PCN",
"R_A15_SVHC",
"R_A15_REST",
"R_AUTH_APPL",
"R_DU_REPORT",
"R_SIA_NOTIF",
"R_1_10_PC",
"R_1_10_STD",
"R_10_100",
"R_100_1000",
"R_ABOVE_1000",
"R_JS_MBER",
"R_INT_JS_MBER",
"R_INT_ONSITE",
"R_INT_ONSITE_1_1000",
"R_INT_ONSITE_ABOVE_1000",
"R_SUB_EVAL",
"R_PPORD",
"R_INQUIRY",
"BIOC_ACTIVE_SUBSTANCE_FOR_MIXTURES",
"R_INT_TR_1_1000",
"R_INT_TR_ABOVE_1000",
"R_DU_NOTIF",
"R_MICROPLASTICS",
"DWD_ARTICLE_11_APPL",
"DWD_NIAS_OR_OTHER_SUBSTANCE",
"DWD_NOTIF",
"FCM_APPL",
"FCM_NIAS",
"EU_PPP_ACTIVE_SUBSTANCE_APP",
"EU_PPP_CA_ACTIVE_SUBSTANCE",
"EU_PPP_BASIC_SUBSTANCE",
"EU_PPP_MAXIMUM_RESIDUE_LEVELS",
"EU_PPP_MICRO",
"EU_PPP_MAXIMUM_RESIDUE_LEVELS_ACTIVE",
"EU_PPP_OTHER_MIXTURE",
"EU_PPP_OTHER_SUBSTANCE_ASSESSED",
"EU_PPP_PESTICIDE_PRODUCT",
"EU_PPP_SAFENERS_SYN_APP",
"EU_TSR_DEROGATION",
"K_REACH_INQUIRY",
"K_REACH_POLYMER_EXEMPTION",
"K_REACH_REAGENT_EXEMPTION",
"K_REACH_RD_EXEMPTION",
"K_REACH_EXPORT_EXEMPTION",
"K_REACH_SURFACE_TREATED_EXEMPTION",
"K_REACH_NON_ISOLATED_INT_EXEMPTION",
"K_REACH_ONSITE_INT_EXEMPTION",
"K_REACH_01_1",
"K_REACH_1_10",
"K_REACH_10_100",
"K_REACH_100_1000",
"K_REACH_ABOVE_1000",
"K_REACH_POLYMER_01_1",
"K_REACH_POLYMER_1_10",
"K_REACH_POLYMER_10_100",
"K_REACH_POLYMER_100_1000",
"K_REACH_POLYMER_ABOVE_1000",
"K_REACH_INT_ONSITE_01_1",
"K_REACH_INT_ONSITE_1_10",
"K_REACH_INT_ONSITE_10_100",
"K_REACH_INT_ONSITE_100_1000",
"K_REACH_INT_ONSITE_ABOVE_1000",
"K_REACH_INT_TR_01_1",
"K_REACH_INT_TR_1_10",
"K_REACH_INT_TR_10_100",
"K_REACH_INT_TR_100_1000",
"K_REACH_INT_TR_ABOVE_1000",
"K_REACH_EXEMPTION_CERT",
"K_REACH_REGISTRATION_CERT",
"K_REACH_HAZARD_EVAL",
"K_REACH_DU_REPORT",
"NZ_HSNO_APPL_FULL_ASSESS_CAT",
"NZ_HSNO_FULL_ASSESS_CAT",
"NZ_HSNO_LMTD_ASSESS_CAT",
"OECD_SIDS",
"OECD_HT_CAT"
]
},
"tonnageBand": {
"type": "string",
"description": "The size of the submitted tonnage band. On input it is ignored when registeredTonnageBand is given (and must then be its size); otherwise it is stored as the registration's current band of that size, or else the legislation's standard band of that size",
"example": "BAND3",
"enum": [
"BAND1",
"BAND2",
"BAND3",
"BAND4",
"BAND5"
]
},
"registeredTonnageBand": {
"type": "string",
"description": "The submitted tonnage band, which must be one of the registration's legislation. Takes precedence over tonnageBand",
"example": "BAND_2",
"enum": [
"BAND_1",
"BAND_2",
"BAND_3",
"BAND_4",
"BAND_5",
"BAND_6",
"BAND_7",
"BAND_8",
"BAND_9",
"BAND_K_1",
"BAND_K_2",
"BAND_K_3",
"BAND_K_4",
"BAND_K_5",
"BAND_K_6",
"BAND_K_7",
"BAND_K_8",
"BAND_K_9",
"BAND_K_10",
"BAND_K_11",
"BAND_K_12",
"BAND_K_13",
"BAND_K_14",
"BAND_K_15",
"BAND_K_16",
"BAND_K_17",
"BAND_K_18",
"BAND_K_19",
"BAND_K_20",
"CEASE_OF_MANUFACTURE"
]
},
"reason": {
"type": "string",
"example": "INITIAL",
"enum": [
"CEASE_OF_MANUFACTURE",
"GRANDFATHERING",
"INITIAL",
"INQUIRY",
"REQUESTED",
"UPDATE_SPONTANEOUS"
]
},
"notes": {
"type": "string"
},
"iuclidDossierReference": {
"type": "string"
},
"communicationReference": {
"type": "string"
},
"submissionNumber": {
"type": "string"
},
"status": {
"type": "string",
"description": "Required, except for a CEASE_OF_MANUFACTURE reason, which never has a status",
"example": "SUBMITTED",
"enum": [
"DRAFT",
"SUBMITTED",
"ACCEPTED",
"REJECTED"
]
}
}
}
Response 403 Forbidden
Response 500 Internal Server Error
GET /api/submissions¶
Get all Submissions
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
constituent |
query | integer | Yes | Filter submissions by constituent | |
page |
query | integer | 0 | Yes | Zero-based page index (0..N) |
size |
query | integer | 20 | Yes | The size of the page to be returned |
sort |
query | array | Yes | Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Response 200 OK
{
"totalPages": 55,
"totalElements": 127,
"size": 101,
"content": [
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"registration": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"constituent": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Benzene",
"type": "SUBSTANCE",
"casNumber": "100-00-5",
"ecName": "1-chloro-4-nitrobenzene",
"ecNumber": "202-809-6",
"ecDescription": "string",
"iupac": "benzene",
"iuclidUuid": "string",
"tsca": "Benzene, 1-chloro-4-nitro-",
"molecularFormula": "C6H6",
"smiles": "C1=CC=CC=C1",
"inChl": "InChI=1S/C6H6/c1-2-4-6-5-3-1/h1-6H",
"archived": false
},
"reachLegislation": "EU_REACH",
"type": "INTERNAL",
"submittingLegalEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
},
"forLegalEntity": null,
"forLegalEntityUuid": "37b58a8c-fae4-485f-bb99-1cf879d34678",
"status": "ACTIVE",
"registrationName": "Calcium dihydroxide",
"registrationNumber": "01-2119475151-45-1000",
"registrationDate": "2022-04-13",
"registrationRole": "MEMBER",
"annex": "VIII",
"publicName": "Calcium dihydroxide",
"reachRole": "MANUFACTURER",
"enquiryNumber": "06-1111111111-11-1111",
"ppordNumber": "04-1111111111-11-1111",
"iuclidUUID": "U37b58a8c-fae4-485f-bb99-1cf666d34678",
"registrationNotes": "Registration is complete.",
"reachDossierType": "A",
"preregistered": true,
"preregistrationName": "Calcium dihydroxide",
"preregistrationNumber": "05-1122334455-66-0001",
"preregistrationDate": "2022-04-13",
"preregistrationNote": "Preregistration complete.",
"exempt": true,
"exemptionType": "ANNEXIV",
"exemption": "dangerous",
"exemptionComment": "Marked as Exempt.",
"effectiveAnnex": "VIII"
},
"dateSubmitted": "2022-04-13",
"dateIssued": "2022-04-13",
"dateAccepted": "2022-04-13",
"reachDossierType": "AU_IND_CHEM_ASSESS",
"tonnageBand": "BAND3",
"registeredTonnageBand": "BAND_2",
"reason": "INITIAL",
"notes": "string",
"iuclidDossierReference": "string",
"communicationReference": "string",
"submissionNumber": "string",
"status": "SUBMITTED"
}
],
"number": 12,
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"pageable": {
"offset": 254,
"sort": null,
"unpaged": true,
"paged": true,
"pageSize": 291,
"pageNumber": 242
},
"numberOfElements": 178,
"first": true,
"last": true,
"empty": true
}
Schema of the response body
{
"type": "object",
"properties": {
"totalPages": {
"type": "integer",
"format": "int32"
},
"totalElements": {
"type": "integer",
"format": "int64"
},
"size": {
"type": "integer",
"format": "int32"
},
"content": {
"type": "array",
"items": {
"$ref": "#/components/schemas/SubmissionData"
}
},
"number": {
"type": "integer",
"format": "int32"
},
"sort": {
"$ref": "#/components/schemas/SortObject"
},
"pageable": {
"$ref": "#/components/schemas/PageableObject"
},
"numberOfElements": {
"type": "integer",
"format": "int32"
},
"first": {
"type": "boolean"
},
"last": {
"type": "boolean"
},
"empty": {
"type": "boolean"
}
}
}
Response 403 Forbidden
POST /api/submissions¶
Create a Submission
Request body
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"registration": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"constituent": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Benzene",
"type": "SUBSTANCE",
"casNumber": "100-00-5",
"ecName": "1-chloro-4-nitrobenzene",
"ecNumber": "202-809-6",
"ecDescription": "string",
"iupac": "benzene",
"iuclidUuid": "string",
"tsca": "Benzene, 1-chloro-4-nitro-",
"molecularFormula": "C6H6",
"smiles": "C1=CC=CC=C1",
"inChl": "InChI=1S/C6H6/c1-2-4-6-5-3-1/h1-6H",
"archived": false
},
"reachLegislation": "EU_REACH",
"type": "INTERNAL",
"submittingLegalEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
},
"forLegalEntity": null,
"forLegalEntityUuid": "37b58a8c-fae4-485f-bb99-1cf879d34678",
"status": "ACTIVE",
"registrationName": "Calcium dihydroxide",
"registrationNumber": "01-2119475151-45-1000",
"registrationDate": "2022-04-13",
"registrationRole": "MEMBER",
"annex": "VIII",
"publicName": "Calcium dihydroxide",
"reachRole": "MANUFACTURER",
"enquiryNumber": "06-1111111111-11-1111",
"ppordNumber": "04-1111111111-11-1111",
"iuclidUUID": "U37b58a8c-fae4-485f-bb99-1cf666d34678",
"registrationNotes": "Registration is complete.",
"reachDossierType": "A",
"preregistered": true,
"preregistrationName": "Calcium dihydroxide",
"preregistrationNumber": "05-1122334455-66-0001",
"preregistrationDate": "2022-04-13",
"preregistrationNote": "Preregistration complete.",
"exempt": true,
"exemptionType": "ANNEXIV",
"exemption": "dangerous",
"exemptionComment": "Marked as Exempt.",
"effectiveAnnex": "VIII"
},
"dateSubmitted": "2022-04-13",
"dateIssued": "2022-04-13",
"dateAccepted": "2022-04-13",
"reachDossierType": "AU_IND_CHEM_ASSESS",
"tonnageBand": "BAND3",
"registeredTonnageBand": "BAND_2",
"reason": "INITIAL",
"notes": "string",
"iuclidDossierReference": "string",
"communicationReference": "string",
"submissionNumber": "string",
"status": "SUBMITTED"
}
Schema of the request body
{
"required": [
"registration"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"created": {
"type": "string",
"format": "date-time"
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"registration": {
"$ref": "#/components/schemas/RegistrationData"
},
"dateSubmitted": {
"type": "string",
"format": "date"
},
"dateIssued": {
"type": "string",
"format": "date"
},
"dateAccepted": {
"type": "string",
"format": "date"
},
"reachDossierType": {
"type": "string",
"enum": [
"AU_IND_CHEM_ASSESS",
"AU_IND_CHEM_CERT_APPL_T1",
"AU_IND_CHEM_CERT_APPL_T2",
"AU_IND_CHEM_CERT_APPL_T3",
"AU_IND_CHEM_CERT_APPL_T4",
"AU_IND_CHEM_CERT_APPL_T5",
"AU_IND_CHEM_CEA",
"AU_IND_CHEM_PIR",
"BIOC_ACTIVE_SUBSTANCE_FOR_SUBSTANCES",
"BIOC_BASIC_INFORMATION",
"BIOC_BIOCIDAL_PRODUCT",
"BIOC_MICRO",
"BIOC_SUBSTANCE_OF_CONCERN",
"BIOC_SPC",
"BIOC_TECHNICAL_EQUIVALENCE",
"CLP_ALTERNATIVE_NAME",
"CLP_NOTIF",
"CLP_CLH",
"CLP_PCN_ICG",
"CLP_PCN_SFC",
"CLP_PCN",
"R_A15_SVHC",
"R_A15_REST",
"R_AUTH_APPL",
"R_DU_REPORT",
"R_SIA_NOTIF",
"R_1_10_PC",
"R_1_10_STD",
"R_10_100",
"R_100_1000",
"R_ABOVE_1000",
"R_JS_MBER",
"R_INT_JS_MBER",
"R_INT_ONSITE",
"R_INT_ONSITE_1_1000",
"R_INT_ONSITE_ABOVE_1000",
"R_SUB_EVAL",
"R_PPORD",
"R_INQUIRY",
"BIOC_ACTIVE_SUBSTANCE_FOR_MIXTURES",
"R_INT_TR_1_1000",
"R_INT_TR_ABOVE_1000",
"R_DU_NOTIF",
"R_MICROPLASTICS",
"DWD_ARTICLE_11_APPL",
"DWD_NIAS_OR_OTHER_SUBSTANCE",
"DWD_NOTIF",
"FCM_APPL",
"FCM_NIAS",
"EU_PPP_ACTIVE_SUBSTANCE_APP",
"EU_PPP_CA_ACTIVE_SUBSTANCE",
"EU_PPP_BASIC_SUBSTANCE",
"EU_PPP_MAXIMUM_RESIDUE_LEVELS",
"EU_PPP_MICRO",
"EU_PPP_MAXIMUM_RESIDUE_LEVELS_ACTIVE",
"EU_PPP_OTHER_MIXTURE",
"EU_PPP_OTHER_SUBSTANCE_ASSESSED",
"EU_PPP_PESTICIDE_PRODUCT",
"EU_PPP_SAFENERS_SYN_APP",
"EU_TSR_DEROGATION",
"K_REACH_INQUIRY",
"K_REACH_POLYMER_EXEMPTION",
"K_REACH_REAGENT_EXEMPTION",
"K_REACH_RD_EXEMPTION",
"K_REACH_EXPORT_EXEMPTION",
"K_REACH_SURFACE_TREATED_EXEMPTION",
"K_REACH_NON_ISOLATED_INT_EXEMPTION",
"K_REACH_ONSITE_INT_EXEMPTION",
"K_REACH_01_1",
"K_REACH_1_10",
"K_REACH_10_100",
"K_REACH_100_1000",
"K_REACH_ABOVE_1000",
"K_REACH_POLYMER_01_1",
"K_REACH_POLYMER_1_10",
"K_REACH_POLYMER_10_100",
"K_REACH_POLYMER_100_1000",
"K_REACH_POLYMER_ABOVE_1000",
"K_REACH_INT_ONSITE_01_1",
"K_REACH_INT_ONSITE_1_10",
"K_REACH_INT_ONSITE_10_100",
"K_REACH_INT_ONSITE_100_1000",
"K_REACH_INT_ONSITE_ABOVE_1000",
"K_REACH_INT_TR_01_1",
"K_REACH_INT_TR_1_10",
"K_REACH_INT_TR_10_100",
"K_REACH_INT_TR_100_1000",
"K_REACH_INT_TR_ABOVE_1000",
"K_REACH_EXEMPTION_CERT",
"K_REACH_REGISTRATION_CERT",
"K_REACH_HAZARD_EVAL",
"K_REACH_DU_REPORT",
"NZ_HSNO_APPL_FULL_ASSESS_CAT",
"NZ_HSNO_FULL_ASSESS_CAT",
"NZ_HSNO_LMTD_ASSESS_CAT",
"OECD_SIDS",
"OECD_HT_CAT"
]
},
"tonnageBand": {
"type": "string",
"description": "The size of the submitted tonnage band. On input it is ignored when registeredTonnageBand is given (and must then be its size); otherwise it is stored as the registration's current band of that size, or else the legislation's standard band of that size",
"example": "BAND3",
"enum": [
"BAND1",
"BAND2",
"BAND3",
"BAND4",
"BAND5"
]
},
"registeredTonnageBand": {
"type": "string",
"description": "The submitted tonnage band, which must be one of the registration's legislation. Takes precedence over tonnageBand",
"example": "BAND_2",
"enum": [
"BAND_1",
"BAND_2",
"BAND_3",
"BAND_4",
"BAND_5",
"BAND_6",
"BAND_7",
"BAND_8",
"BAND_9",
"BAND_K_1",
"BAND_K_2",
"BAND_K_3",
"BAND_K_4",
"BAND_K_5",
"BAND_K_6",
"BAND_K_7",
"BAND_K_8",
"BAND_K_9",
"BAND_K_10",
"BAND_K_11",
"BAND_K_12",
"BAND_K_13",
"BAND_K_14",
"BAND_K_15",
"BAND_K_16",
"BAND_K_17",
"BAND_K_18",
"BAND_K_19",
"BAND_K_20",
"CEASE_OF_MANUFACTURE"
]
},
"reason": {
"type": "string",
"example": "INITIAL",
"enum": [
"CEASE_OF_MANUFACTURE",
"GRANDFATHERING",
"INITIAL",
"INQUIRY",
"REQUESTED",
"UPDATE_SPONTANEOUS"
]
},
"notes": {
"type": "string"
},
"iuclidDossierReference": {
"type": "string"
},
"communicationReference": {
"type": "string"
},
"submissionNumber": {
"type": "string"
},
"status": {
"type": "string",
"description": "Required, except for a CEASE_OF_MANUFACTURE reason, which never has a status",
"example": "SUBMITTED",
"enum": [
"DRAFT",
"SUBMITTED",
"ACCEPTED",
"REJECTED"
]
}
}
}
Response 204 No Content
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"registration": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"constituent": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Benzene",
"type": "SUBSTANCE",
"casNumber": "100-00-5",
"ecName": "1-chloro-4-nitrobenzene",
"ecNumber": "202-809-6",
"ecDescription": "string",
"iupac": "benzene",
"iuclidUuid": "string",
"tsca": "Benzene, 1-chloro-4-nitro-",
"molecularFormula": "C6H6",
"smiles": "C1=CC=CC=C1",
"inChl": "InChI=1S/C6H6/c1-2-4-6-5-3-1/h1-6H",
"archived": false
},
"reachLegislation": "EU_REACH",
"type": "INTERNAL",
"submittingLegalEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
},
"forLegalEntity": null,
"forLegalEntityUuid": "37b58a8c-fae4-485f-bb99-1cf879d34678",
"status": "ACTIVE",
"registrationName": "Calcium dihydroxide",
"registrationNumber": "01-2119475151-45-1000",
"registrationDate": "2022-04-13",
"registrationRole": "MEMBER",
"annex": "VIII",
"publicName": "Calcium dihydroxide",
"reachRole": "MANUFACTURER",
"enquiryNumber": "06-1111111111-11-1111",
"ppordNumber": "04-1111111111-11-1111",
"iuclidUUID": "U37b58a8c-fae4-485f-bb99-1cf666d34678",
"registrationNotes": "Registration is complete.",
"reachDossierType": "A",
"preregistered": true,
"preregistrationName": "Calcium dihydroxide",
"preregistrationNumber": "05-1122334455-66-0001",
"preregistrationDate": "2022-04-13",
"preregistrationNote": "Preregistration complete.",
"exempt": true,
"exemptionType": "ANNEXIV",
"exemption": "dangerous",
"exemptionComment": "Marked as Exempt.",
"effectiveAnnex": "VIII"
},
"dateSubmitted": "2022-04-13",
"dateIssued": "2022-04-13",
"dateAccepted": "2022-04-13",
"reachDossierType": "AU_IND_CHEM_ASSESS",
"tonnageBand": "BAND3",
"registeredTonnageBand": "BAND_2",
"reason": "INITIAL",
"notes": "string",
"iuclidDossierReference": "string",
"communicationReference": "string",
"submissionNumber": "string",
"status": "SUBMITTED"
}
Schema of the response body
{
"required": [
"registration"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"created": {
"type": "string",
"format": "date-time"
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"registration": {
"$ref": "#/components/schemas/RegistrationData"
},
"dateSubmitted": {
"type": "string",
"format": "date"
},
"dateIssued": {
"type": "string",
"format": "date"
},
"dateAccepted": {
"type": "string",
"format": "date"
},
"reachDossierType": {
"type": "string",
"enum": [
"AU_IND_CHEM_ASSESS",
"AU_IND_CHEM_CERT_APPL_T1",
"AU_IND_CHEM_CERT_APPL_T2",
"AU_IND_CHEM_CERT_APPL_T3",
"AU_IND_CHEM_CERT_APPL_T4",
"AU_IND_CHEM_CERT_APPL_T5",
"AU_IND_CHEM_CEA",
"AU_IND_CHEM_PIR",
"BIOC_ACTIVE_SUBSTANCE_FOR_SUBSTANCES",
"BIOC_BASIC_INFORMATION",
"BIOC_BIOCIDAL_PRODUCT",
"BIOC_MICRO",
"BIOC_SUBSTANCE_OF_CONCERN",
"BIOC_SPC",
"BIOC_TECHNICAL_EQUIVALENCE",
"CLP_ALTERNATIVE_NAME",
"CLP_NOTIF",
"CLP_CLH",
"CLP_PCN_ICG",
"CLP_PCN_SFC",
"CLP_PCN",
"R_A15_SVHC",
"R_A15_REST",
"R_AUTH_APPL",
"R_DU_REPORT",
"R_SIA_NOTIF",
"R_1_10_PC",
"R_1_10_STD",
"R_10_100",
"R_100_1000",
"R_ABOVE_1000",
"R_JS_MBER",
"R_INT_JS_MBER",
"R_INT_ONSITE",
"R_INT_ONSITE_1_1000",
"R_INT_ONSITE_ABOVE_1000",
"R_SUB_EVAL",
"R_PPORD",
"R_INQUIRY",
"BIOC_ACTIVE_SUBSTANCE_FOR_MIXTURES",
"R_INT_TR_1_1000",
"R_INT_TR_ABOVE_1000",
"R_DU_NOTIF",
"R_MICROPLASTICS",
"DWD_ARTICLE_11_APPL",
"DWD_NIAS_OR_OTHER_SUBSTANCE",
"DWD_NOTIF",
"FCM_APPL",
"FCM_NIAS",
"EU_PPP_ACTIVE_SUBSTANCE_APP",
"EU_PPP_CA_ACTIVE_SUBSTANCE",
"EU_PPP_BASIC_SUBSTANCE",
"EU_PPP_MAXIMUM_RESIDUE_LEVELS",
"EU_PPP_MICRO",
"EU_PPP_MAXIMUM_RESIDUE_LEVELS_ACTIVE",
"EU_PPP_OTHER_MIXTURE",
"EU_PPP_OTHER_SUBSTANCE_ASSESSED",
"EU_PPP_PESTICIDE_PRODUCT",
"EU_PPP_SAFENERS_SYN_APP",
"EU_TSR_DEROGATION",
"K_REACH_INQUIRY",
"K_REACH_POLYMER_EXEMPTION",
"K_REACH_REAGENT_EXEMPTION",
"K_REACH_RD_EXEMPTION",
"K_REACH_EXPORT_EXEMPTION",
"K_REACH_SURFACE_TREATED_EXEMPTION",
"K_REACH_NON_ISOLATED_INT_EXEMPTION",
"K_REACH_ONSITE_INT_EXEMPTION",
"K_REACH_01_1",
"K_REACH_1_10",
"K_REACH_10_100",
"K_REACH_100_1000",
"K_REACH_ABOVE_1000",
"K_REACH_POLYMER_01_1",
"K_REACH_POLYMER_1_10",
"K_REACH_POLYMER_10_100",
"K_REACH_POLYMER_100_1000",
"K_REACH_POLYMER_ABOVE_1000",
"K_REACH_INT_ONSITE_01_1",
"K_REACH_INT_ONSITE_1_10",
"K_REACH_INT_ONSITE_10_100",
"K_REACH_INT_ONSITE_100_1000",
"K_REACH_INT_ONSITE_ABOVE_1000",
"K_REACH_INT_TR_01_1",
"K_REACH_INT_TR_1_10",
"K_REACH_INT_TR_10_100",
"K_REACH_INT_TR_100_1000",
"K_REACH_INT_TR_ABOVE_1000",
"K_REACH_EXEMPTION_CERT",
"K_REACH_REGISTRATION_CERT",
"K_REACH_HAZARD_EVAL",
"K_REACH_DU_REPORT",
"NZ_HSNO_APPL_FULL_ASSESS_CAT",
"NZ_HSNO_FULL_ASSESS_CAT",
"NZ_HSNO_LMTD_ASSESS_CAT",
"OECD_SIDS",
"OECD_HT_CAT"
]
},
"tonnageBand": {
"type": "string",
"description": "The size of the submitted tonnage band. On input it is ignored when registeredTonnageBand is given (and must then be its size); otherwise it is stored as the registration's current band of that size, or else the legislation's standard band of that size",
"example": "BAND3",
"enum": [
"BAND1",
"BAND2",
"BAND3",
"BAND4",
"BAND5"
]
},
"registeredTonnageBand": {
"type": "string",
"description": "The submitted tonnage band, which must be one of the registration's legislation. Takes precedence over tonnageBand",
"example": "BAND_2",
"enum": [
"BAND_1",
"BAND_2",
"BAND_3",
"BAND_4",
"BAND_5",
"BAND_6",
"BAND_7",
"BAND_8",
"BAND_9",
"BAND_K_1",
"BAND_K_2",
"BAND_K_3",
"BAND_K_4",
"BAND_K_5",
"BAND_K_6",
"BAND_K_7",
"BAND_K_8",
"BAND_K_9",
"BAND_K_10",
"BAND_K_11",
"BAND_K_12",
"BAND_K_13",
"BAND_K_14",
"BAND_K_15",
"BAND_K_16",
"BAND_K_17",
"BAND_K_18",
"BAND_K_19",
"BAND_K_20",
"CEASE_OF_MANUFACTURE"
]
},
"reason": {
"type": "string",
"example": "INITIAL",
"enum": [
"CEASE_OF_MANUFACTURE",
"GRANDFATHERING",
"INITIAL",
"INQUIRY",
"REQUESTED",
"UPDATE_SPONTANEOUS"
]
},
"notes": {
"type": "string"
},
"iuclidDossierReference": {
"type": "string"
},
"communicationReference": {
"type": "string"
},
"submissionNumber": {
"type": "string"
},
"status": {
"type": "string",
"description": "Required, except for a CEASE_OF_MANUFACTURE reason, which never has a status",
"example": "SUBMITTED",
"enum": [
"DRAFT",
"SUBMITTED",
"ACCEPTED",
"REJECTED"
]
}
}
}
Response 403 Forbidden
Response 500 Internal Server Error
Study Monitors¶
GET /api/study-monitors/{id}¶
Get a Study Monitor
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Response 200 OK
{
"id": 1,
"user": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"from": "0019-07-18",
"study": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
}
}
}
Schema of the response body
{
"required": [
"from",
"study",
"user"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"user": {
"$ref": "#/components/schemas/UserData"
},
"from": {
"type": "string",
"format": "date",
"example": "0019-07-18"
},
"study": {
"$ref": "#/components/schemas/StudyData"
}
}
}
Response 403 Forbidden
Response 404 Not Found
PUT /api/study-monitors/{id}¶
Fully update a Study Monitor
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Request body
{
"id": 1,
"user": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"from": "0019-07-18",
"study": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
}
}
}
Schema of the request body
{
"required": [
"from",
"study",
"user"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"user": {
"$ref": "#/components/schemas/UserData"
},
"from": {
"type": "string",
"format": "date",
"example": "0019-07-18"
},
"study": {
"$ref": "#/components/schemas/StudyData"
}
}
}
Response 200 OK
{
"id": 1,
"user": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"from": "0019-07-18",
"study": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
}
}
}
Schema of the response body
{
"required": [
"from",
"study",
"user"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"user": {
"$ref": "#/components/schemas/UserData"
},
"from": {
"type": "string",
"format": "date",
"example": "0019-07-18"
},
"study": {
"$ref": "#/components/schemas/StudyData"
}
}
}
Response 400 Bad Request
Response 403 Forbidden
Response 404 Not Found
DELETE /api/study-monitors/{id}¶
Delete a Study Monitor
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Response 204 No Content
Response 403 Forbidden
Response 404 Not Found
PATCH /api/study-monitors/{id}¶
Partially update a Study Monitor
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Request body
{
"id": 1,
"user": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"from": "0019-07-18",
"study": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
}
}
}
Schema of the request body
{
"required": [
"from",
"study",
"user"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"user": {
"$ref": "#/components/schemas/UserData"
},
"from": {
"type": "string",
"format": "date",
"example": "0019-07-18"
},
"study": {
"$ref": "#/components/schemas/StudyData"
}
}
}
Response 200 OK
{
"id": 1,
"user": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"from": "0019-07-18",
"study": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
}
}
}
Schema of the response body
{
"required": [
"from",
"study",
"user"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"user": {
"$ref": "#/components/schemas/UserData"
},
"from": {
"type": "string",
"format": "date",
"example": "0019-07-18"
},
"study": {
"$ref": "#/components/schemas/StudyData"
}
}
}
Response 400 Bad Request
Response 403 Forbidden
Response 404 Not Found
GET /api/study-monitors¶
Get all Study Monitors
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
page |
query | integer | 0 | Yes | Zero-based page index (0..N) |
size |
query | integer | 20 | Yes | The size of the page to be returned |
sort |
query | array | Yes | Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. | |
study |
query | integer | Yes | Get monitors from a specified study |
Response 200 OK
{
"totalPages": 125,
"totalElements": 114,
"size": 160,
"content": [
{
"id": 1,
"user": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"from": "0019-07-18",
"study": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
}
}
}
],
"number": 123,
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"pageable": {
"offset": 175,
"sort": null,
"unpaged": true,
"paged": true,
"pageSize": 219,
"pageNumber": 70
},
"numberOfElements": 285,
"first": true,
"last": true,
"empty": true
}
Schema of the response body
{
"type": "object",
"properties": {
"totalPages": {
"type": "integer",
"format": "int32"
},
"totalElements": {
"type": "integer",
"format": "int64"
},
"size": {
"type": "integer",
"format": "int32"
},
"content": {
"type": "array",
"items": {
"$ref": "#/components/schemas/StudyMonitorData"
}
},
"number": {
"type": "integer",
"format": "int32"
},
"sort": {
"$ref": "#/components/schemas/SortObject"
},
"pageable": {
"$ref": "#/components/schemas/PageableObject"
},
"numberOfElements": {
"type": "integer",
"format": "int32"
},
"first": {
"type": "boolean"
},
"last": {
"type": "boolean"
},
"empty": {
"type": "boolean"
}
}
}
Response 403 Forbidden
POST /api/study-monitors¶
Create a Study Monitor
Request body
{
"id": 1,
"user": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"from": "0019-07-18",
"study": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
}
}
}
Schema of the request body
{
"required": [
"from",
"study",
"user"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"user": {
"$ref": "#/components/schemas/UserData"
},
"from": {
"type": "string",
"format": "date",
"example": "0019-07-18"
},
"study": {
"$ref": "#/components/schemas/StudyData"
}
}
}
Response 200 OK
{
"id": 1,
"user": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"from": "0019-07-18",
"study": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
}
}
}
Schema of the response body
{
"required": [
"from",
"study",
"user"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"user": {
"$ref": "#/components/schemas/UserData"
},
"from": {
"type": "string",
"format": "date",
"example": "0019-07-18"
},
"study": {
"$ref": "#/components/schemas/StudyData"
}
}
}
Response 400 Bad Request
Response 403 Forbidden
Study Managers¶
GET /api/study-managers/{id}¶
Get a Study Manager
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Response 200 OK
{
"id": 1,
"user": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"from": "0019-07-18",
"study": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
}
}
}
Schema of the response body
{
"required": [
"from",
"study",
"user"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"user": {
"$ref": "#/components/schemas/UserData"
},
"from": {
"type": "string",
"format": "date",
"example": "0019-07-18"
},
"study": {
"$ref": "#/components/schemas/StudyData"
}
}
}
Response 403 Forbidden
Response 404 Not Found
PUT /api/study-managers/{id}¶
Fully update a Study Manager
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Request body
{
"id": 1,
"user": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"from": "0019-07-18",
"study": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
}
}
}
Schema of the request body
{
"required": [
"from",
"study",
"user"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"user": {
"$ref": "#/components/schemas/UserData"
},
"from": {
"type": "string",
"format": "date",
"example": "0019-07-18"
},
"study": {
"$ref": "#/components/schemas/StudyData"
}
}
}
Response 200 OK
{
"id": 1,
"user": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"from": "0019-07-18",
"study": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
}
}
}
Schema of the response body
{
"required": [
"from",
"study",
"user"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"user": {
"$ref": "#/components/schemas/UserData"
},
"from": {
"type": "string",
"format": "date",
"example": "0019-07-18"
},
"study": {
"$ref": "#/components/schemas/StudyData"
}
}
}
Response 400 Bad Request
Response 403 Forbidden
Response 404 Not Found
DELETE /api/study-managers/{id}¶
Delete a Study Manager
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Response 204 No Content
Response 403 Forbidden
Response 404 Not Found
PATCH /api/study-managers/{id}¶
Partially update a Study Manager
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Request body
{
"id": 1,
"user": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"from": "0019-07-18",
"study": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
}
}
}
Schema of the request body
{
"required": [
"from",
"study",
"user"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"user": {
"$ref": "#/components/schemas/UserData"
},
"from": {
"type": "string",
"format": "date",
"example": "0019-07-18"
},
"study": {
"$ref": "#/components/schemas/StudyData"
}
}
}
Response 200 OK
{
"id": 1,
"user": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"from": "0019-07-18",
"study": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
}
}
}
Schema of the response body
{
"required": [
"from",
"study",
"user"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"user": {
"$ref": "#/components/schemas/UserData"
},
"from": {
"type": "string",
"format": "date",
"example": "0019-07-18"
},
"study": {
"$ref": "#/components/schemas/StudyData"
}
}
}
Response 400 Bad Request
Response 403 Forbidden
Response 404 Not Found
GET /api/study-managers¶
Get all Study Managers
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
page |
query | integer | 0 | Yes | Zero-based page index (0..N) |
size |
query | integer | 20 | Yes | The size of the page to be returned |
sort |
query | array | Yes | Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. | |
study |
query | integer | Yes | Get managers from a specified study |
Response 200 OK
{
"totalPages": 93,
"totalElements": 43,
"size": 147,
"content": [
{
"id": 1,
"user": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"from": "0019-07-18",
"study": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
}
}
}
],
"number": 121,
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"pageable": {
"offset": 294,
"sort": null,
"unpaged": true,
"paged": true,
"pageSize": 266,
"pageNumber": 265
},
"numberOfElements": 159,
"first": true,
"last": true,
"empty": true
}
Schema of the response body
{
"type": "object",
"properties": {
"totalPages": {
"type": "integer",
"format": "int32"
},
"totalElements": {
"type": "integer",
"format": "int64"
},
"size": {
"type": "integer",
"format": "int32"
},
"content": {
"type": "array",
"items": {
"$ref": "#/components/schemas/StudyManagerData"
}
},
"number": {
"type": "integer",
"format": "int32"
},
"sort": {
"$ref": "#/components/schemas/SortObject"
},
"pageable": {
"$ref": "#/components/schemas/PageableObject"
},
"numberOfElements": {
"type": "integer",
"format": "int32"
},
"first": {
"type": "boolean"
},
"last": {
"type": "boolean"
},
"empty": {
"type": "boolean"
}
}
}
Response 403 Forbidden
POST /api/study-managers¶
Create a Study Manager
Request body
{
"id": 1,
"user": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"from": "0019-07-18",
"study": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
}
}
}
Schema of the request body
{
"required": [
"from",
"study",
"user"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"user": {
"$ref": "#/components/schemas/UserData"
},
"from": {
"type": "string",
"format": "date",
"example": "0019-07-18"
},
"study": {
"$ref": "#/components/schemas/StudyData"
}
}
}
Response 200 OK
{
"id": 1,
"user": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"from": "0019-07-18",
"study": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
}
}
}
Schema of the response body
{
"required": [
"from",
"study",
"user"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"user": {
"$ref": "#/components/schemas/UserData"
},
"from": {
"type": "string",
"format": "date",
"example": "0019-07-18"
},
"study": {
"$ref": "#/components/schemas/StudyData"
}
}
}
Response 400 Bad Request
Response 403 Forbidden
Study Groups¶
PUT /api/study-groups/{id}¶
Update a Study Group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Request body
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
Schema of the request body
{
"required": [
"name",
"partitionId"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"created": {
"type": "string",
"format": "date-time"
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"minLength": 1,
"type": "string",
"example": "Category 5 Analytical Testing"
},
"description": {
"type": "string",
"example": "This group is for all analytical studies within category 5"
}
}
}
Response 200 OK
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
Schema of the response body
{
"required": [
"name",
"partitionId"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"created": {
"type": "string",
"format": "date-time"
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"minLength": 1,
"type": "string",
"example": "Category 5 Analytical Testing"
},
"description": {
"type": "string",
"example": "This group is for all analytical studies within category 5"
}
}
}
Response 400 Bad Request
Response 403 Forbidden
Response 500 Internal Server Error
DELETE /api/study-groups/{id}¶
Delete a Study Group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Response 204 No Content
Response 403 Forbidden
Response 500 Internal Server Error
PATCH /api/study-groups/{id}¶
Partially Update a Study Group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Request body
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
Schema of the request body
{
"required": [
"name",
"partitionId"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"created": {
"type": "string",
"format": "date-time"
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"minLength": 1,
"type": "string",
"example": "Category 5 Analytical Testing"
},
"description": {
"type": "string",
"example": "This group is for all analytical studies within category 5"
}
}
}
Response 200 OK
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
Schema of the response body
{
"required": [
"name",
"partitionId"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"created": {
"type": "string",
"format": "date-time"
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"minLength": 1,
"type": "string",
"example": "Category 5 Analytical Testing"
},
"description": {
"type": "string",
"example": "This group is for all analytical studies within category 5"
}
}
}
Response 400 Bad Request
Response 403 Forbidden
Response 500 Internal Server Error
GET /api/study-groups¶
Get Study Groups
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
page |
query | integer | 0 | Yes | Zero-based page index (0..N) |
size |
query | integer | 20 | Yes | The size of the page to be returned |
sort |
query | array | Yes | Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. | |
study |
query | integer | Yes | Filter Study Groups by Study |
Response 200 OK
{
"totalPages": 157,
"totalElements": 237,
"size": 248,
"content": [
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
],
"number": 3,
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"pageable": {
"offset": 63,
"sort": null,
"unpaged": true,
"paged": true,
"pageSize": 12,
"pageNumber": 142
},
"numberOfElements": 110,
"first": true,
"last": true,
"empty": true
}
Schema of the response body
{
"type": "object",
"properties": {
"totalPages": {
"type": "integer",
"format": "int32"
},
"totalElements": {
"type": "integer",
"format": "int64"
},
"size": {
"type": "integer",
"format": "int32"
},
"content": {
"type": "array",
"items": {
"$ref": "#/components/schemas/StudyGroupData"
}
},
"number": {
"type": "integer",
"format": "int32"
},
"sort": {
"$ref": "#/components/schemas/SortObject"
},
"pageable": {
"$ref": "#/components/schemas/PageableObject"
},
"numberOfElements": {
"type": "integer",
"format": "int32"
},
"first": {
"type": "boolean"
},
"last": {
"type": "boolean"
},
"empty": {
"type": "boolean"
}
}
}
Response 403 Forbidden
{
"totalPages": 287,
"totalElements": 247,
"size": 238,
"content": [
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
],
"number": 58,
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"pageable": {
"offset": 114,
"sort": null,
"unpaged": true,
"paged": true,
"pageSize": 30,
"pageNumber": 271
},
"numberOfElements": 178,
"first": true,
"last": true,
"empty": true
}
Schema of the response body
{
"type": "object",
"properties": {
"totalPages": {
"type": "integer",
"format": "int32"
},
"totalElements": {
"type": "integer",
"format": "int64"
},
"size": {
"type": "integer",
"format": "int32"
},
"content": {
"type": "array",
"items": {
"$ref": "#/components/schemas/StudyGroupData"
}
},
"number": {
"type": "integer",
"format": "int32"
},
"sort": {
"$ref": "#/components/schemas/SortObject"
},
"pageable": {
"$ref": "#/components/schemas/PageableObject"
},
"numberOfElements": {
"type": "integer",
"format": "int32"
},
"first": {
"type": "boolean"
},
"last": {
"type": "boolean"
},
"empty": {
"type": "boolean"
}
}
}
POST /api/study-groups¶
Create a Study Group
Request body
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
Schema of the request body
{
"required": [
"name",
"partitionId"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"created": {
"type": "string",
"format": "date-time"
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"minLength": 1,
"type": "string",
"example": "Category 5 Analytical Testing"
},
"description": {
"type": "string",
"example": "This group is for all analytical studies within category 5"
}
}
}
Response 200 OK
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
Schema of the response body
{
"required": [
"name",
"partitionId"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"created": {
"type": "string",
"format": "date-time"
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"minLength": 1,
"type": "string",
"example": "Category 5 Analytical Testing"
},
"description": {
"type": "string",
"example": "This group is for all analytical studies within category 5"
}
}
}
Response 400 Bad Request
Response 403 Forbidden
Response 500 Internal Server Error
POST /api/study-groups/{groupId}/studies/{studyId}¶
Link a Study to Study Group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
groupId |
path | integer | No | ||
studyId |
path | integer | No |
Response 200 OK
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
Schema of the response body
{
"required": [
"name",
"partitionId"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"created": {
"type": "string",
"format": "date-time"
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"minLength": 1,
"type": "string",
"example": "Category 5 Analytical Testing"
},
"description": {
"type": "string",
"example": "This group is for all analytical studies within category 5"
}
}
}
Response 400 Bad Request
Response 403 Forbidden
Response 500 Internal Server Error
DELETE /api/study-groups/{groupId}/studies/{studyId}¶
Unlink a Study from Study Group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
groupId |
path | integer | No | ||
studyId |
path | integer | No |
Response 200 OK
Response 400 Bad Request
Response 403 Forbidden
Response 500 Internal Server Error
GET /api/study-groups/{groupId}¶
Get A Study Group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
groupId |
path | integer | No |
Response 200 OK
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
Schema of the response body
{
"required": [
"name",
"partitionId"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"created": {
"type": "string",
"format": "date-time"
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"minLength": 1,
"type": "string",
"example": "Category 5 Analytical Testing"
},
"description": {
"type": "string",
"example": "This group is for all analytical studies within category 5"
}
}
}
Response 403 Forbidden
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
Schema of the response body
{
"required": [
"name",
"partitionId"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"created": {
"type": "string",
"format": "date-time"
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"minLength": 1,
"type": "string",
"example": "Category 5 Analytical Testing"
},
"description": {
"type": "string",
"example": "This group is for all analytical studies within category 5"
}
}
}
Studies¶
GET /api/studies/{id}¶
Get a Study
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Response 200 OK
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
}
}
Schema of the response body
{
"required": [
"end",
"name",
"partitionId",
"start",
"status"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"created": {
"type": "string",
"format": "date-time"
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"minLength": 1,
"type": "string",
"example": "001-Cat Z-Analysis-Int"
},
"status": {
"type": "string",
"example": "ACTIVE",
"enum": [
"PLANNED",
"CONTRACTING",
"ACTIVE",
"COMPLETE",
"CANCELLED",
"FINAL_REPORTED"
]
},
"start": {
"type": "string",
"format": "date"
},
"end": {
"type": "string",
"format": "date"
},
"purpose": {
"type": "string",
"enum": [
"VI",
"VII",
"VIII",
"IX",
"X",
"K_REACH",
"UK_REACH",
"INDIA_REACH",
"TURKEY_REACH",
"CHINA",
"COLOMBIA_REACH",
"EU_BIO",
"EU_PLANT",
"US_TSCA",
"PROD_SAFETY",
"INV_WORK"
]
},
"archived": {
"type": "boolean"
},
"testingLaboratoryEntity": {
"$ref": "#/components/schemas/EntityData"
}
}
}
Response 403 Forbidden
Response 404 Not Found
Response 500 Internal Server Error
PUT /api/studies/{id}¶
Fully Update a Study
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Request body
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
}
}
Schema of the request body
{
"required": [
"end",
"name",
"partitionId",
"start",
"status"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"created": {
"type": "string",
"format": "date-time"
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"minLength": 1,
"type": "string",
"example": "001-Cat Z-Analysis-Int"
},
"status": {
"type": "string",
"example": "ACTIVE",
"enum": [
"PLANNED",
"CONTRACTING",
"ACTIVE",
"COMPLETE",
"CANCELLED",
"FINAL_REPORTED"
]
},
"start": {
"type": "string",
"format": "date"
},
"end": {
"type": "string",
"format": "date"
},
"purpose": {
"type": "string",
"enum": [
"VI",
"VII",
"VIII",
"IX",
"X",
"K_REACH",
"UK_REACH",
"INDIA_REACH",
"TURKEY_REACH",
"CHINA",
"COLOMBIA_REACH",
"EU_BIO",
"EU_PLANT",
"US_TSCA",
"PROD_SAFETY",
"INV_WORK"
]
},
"archived": {
"type": "boolean"
},
"testingLaboratoryEntity": {
"$ref": "#/components/schemas/EntityData"
}
}
}
Response 200 OK
{
"id": 1,
"createdBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"reachUuid": "ECHA-3f2a1b4c-5d6e-7f80-9a1b-2c3d4e5f6a7b",
"archived": false
}
}
Schema of the response body
{
"required": [
"end",
"name",
"partitionId",
"start",
"status"
],
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"created": {
"type": "string",
"format": "date-time"
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"minLength": 1,
"type": "string",
"example": "001-Cat Z-Analysis-Int"
},
"status": {
"type": "string",
"example": "ACTIVE",
"enum": [
"PLANNED",
"CONTRACTING",
"ACTIVE",
"COMPLETE",
"CANCELLED",
"FINAL_REPORTED"
]
},
"start": {
"type": "string",
"format": "date"
},
"end": {
"type": "string",
"format": "date"
},
"purpose": {
"type": "string",
"enum": [
"VI",
"VII",
"VIII",
"IX",
"X",
"K_REACH",
"UK_REACH",
"INDIA_REACH",
"TURKEY_REACH",
"CHINA",
"COLOMBIA_REACH",
"EU_BIO",
"EU_PLANT",
"US_TSCA",
"PROD_SAFETY",
"INV_WORK"
]
},
"archived": {
"type": "boolean"
},
"testingLaboratoryEntity": {
"$ref": "#/components/schemas/EntityData"
}
}
}
Response 400 Bad Request
Response 403 Forbidden
Response 404 Not Found
Response 500 Internal Server Error
DELETE /api/studies/{id}¶
Delete a Study
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Response 204 No Content
Response 403 Forbidden
Response 500 Internal Server Error
PATCH /api/studies/{id}¶
[...]
